## LassoSamlNameIdentifier LassoSamlNameIdentifier — <saml:NameIdentifier> |

## Functions

LassoSamlNameIdentifier * | lasso_saml_name_identifier_new ()
LassoSamlNameIdentifier * | lasso_saml_name_identifier_new_from_xmlNode ()

## Types and Values

struct | LassoSamlNameIdentifier

## Description

Figure 32. Schema fragment for saml:NameIdentifier

    <element name="NameIdentifier" type="saml:NameIdentifierType"/>
    <complexType name="NameIdentifierType">
      <simpleContent>
        <extension base="string">
          <attribute name="NameQualifier" type="string" use="optional"/>
          <attribute name="Format" type="anyURI" use="optional"/>
        </extension>
      </simpleContent>
    </complexType>

## Functions

### lasso_saml_name_identifier_new ()

    LassoSamlNameIdentifier *
    lasso_saml_name_identifier_new (void);

Creates a new LassoSamlNameIdentifier object.

#### Returns

a newly created LassoSamlNameIdentifier object

### lasso_saml_name_identifier_new_from_xmlNode ()

    LassoSamlNameIdentifier *
    lasso_saml_name_identifier_new_from_xmlNode
                                   (xmlNode *xmlnode);

## Types and Values

### struct LassoSamlNameIdentifier

    struct LassoSamlNameIdentifier {
    	LassoNode parent;

    	char *NameQualifier;
    	char *Format;
    	char *content;
    };

`NameQualifier` is the provider ID of the provider that created the name identifier.

`Format` is a string constant defined by the Liberty Alliance. The following constants are defined: LASSO_LIB_NAME_IDENTIFIER_FORMAT_FEDERATED, LASSO_LIB_NAME_IDENTIFIER_FORMAT_ONE_TIME, LASSO_LIB_NAME_IDENTIFIER_FORMAT_ENCRYPTED (when providers transmit name identifiers) and LASSO_LIB_NAME_IDENTIFIER_FORMAT_ENTITYID.